<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8" />

		<title>NearOS - Client</title>

		<link rel="stylesheet" type="text/css" href="css/metro.min.css" />
		<link rel="stylesheet" type="text/css" href="css/metro-icons.min.css" />
		<link rel="stylesheet" type="text/css" href="http://metroui.org.ua/css/metro-colors.css">
		<link rel="stylesheet" type="text/css" href="css/metro-responsive.min.css" />
		<link rel="stylesheet" type="text/css" href="css/metro-schemes.min.css" />
		<link rel="stylesheet" type="text/css" href="css/font-awesome.min.css" />
		<link rel="stylesheet" type="text/css" href="css/desktop.css" />
		<link rel="stylesheet" type="text/css" href="css/context-menu.css" />
		<link rel="stylesheet" type="text/css" href="https://code.jquery.com/ui/1.12.1/themes/smoothness/jquery-ui.min.css">
		<link rel="stylesheet" type="text/css" href="https://swisnl.github.io/jQuery-contextMenu/dist/jquery.contextMenu.css">
		<style type="text/css">
			.charm.right-side{
				width:25%;
				right:0;
				top:0;
				left:auto;
				bottom:40px;
			}
			#right-charm button{
				width:24%;
				height:60px;
			}
			#charm-button p{
				line-height:initial;
				right:5px;
				position:absolute;
				bottom:260px;
				font-size:14px;
			}
		</style>
	</head>
	<body>
		<!--<div id="desktop" class="listview set-border padding10 list-type-icons" data-role="listview" data-on-list-click="fs.open('/desktop/' + list.find('.list-title').attr('path'));"></div>!-->
		<div id="desktop" class="listview set-border padding10 list-type-icons" data-role="listview"></div>

		<div id="menu" style="display:none;height:100%">
			<div data-role="charm" id="charmSearch">
				<h1 class="text-light">Search</h1>
				<hr class="thin"/>
				<br />
				<div class="input-control text full-size">
					<label>
						<span class="dropdown-toggle drop-marker-light">Anywhere</span>
						<ul class="d-menu" data-role="dropdown">
							<li><a onclick="setSearchPlace(this)">Anywhere</a></li>
							<li><a onclick="setSearchPlace(this)">Options</a></li>
							<li><a onclick="setSearchPlace(this)">Files</a></li>
							<li><a onclick="setSearchPlace(this)">Internet</a></li>
						</ul>
					</label>
					<input type="text">
					<button class="button"><span class="mif-search"></span></button>
				</div>
			</div>

			<div data-role="charm" id="charmSettings" data-position="top">
				<h1 class="text-light">Settings</h1>
				<hr class="thin"/>
				<br />
				<div class="schemeButtons">
					<div class="button square-button tile-area-scheme-dark" data-scheme="dark"></div>
					<div class="button square-button tile-area-scheme-darkBrown" data-scheme="darkBrown"></div>
					<div class="button square-button tile-area-scheme-darkCrimson" data-scheme="darkCrimson"></div>
					<div class="button square-button tile-area-scheme-darkViolet" data-scheme="darkViolet"></div>
					<div class="button square-button tile-area-scheme-darkMagenta" data-scheme="darkMagenta"></div>
					<div class="button square-button tile-area-scheme-darkCyan" data-scheme="darkCyan"></div>
					<div class="button square-button tile-area-scheme-darkCobalt" data-scheme="darkCobalt"></div>
					<div class="button square-button tile-area-scheme-darkTeal" data-scheme="darkTeal"></div>
					<div class="button square-button tile-area-scheme-darkEmerald" data-scheme="darkEmerald"></div>
					<div class="button square-button tile-area-scheme-darkGreen" data-scheme="darkGreen"></div>
					<div class="button square-button tile-area-scheme-darkOrange" data-scheme="darkOrange"></div>
					<div class="button square-button tile-area-scheme-darkRed" data-scheme="darkRed"></div>
					<div class="button square-button tile-area-scheme-darkPink" data-scheme="darkPink"></div>
					<div class="button square-button tile-area-scheme-darkIndigo" data-scheme="darkIndigo"></div>
					<div class="button square-button tile-area-scheme-darkBlue" data-scheme="darkBlue"></div>
					<div class="button square-button tile-area-scheme-lightBlue" data-scheme="lightBlue"></div>
					<div class="button square-button tile-area-scheme-lightTeal" data-scheme="lightTeal"></div>
					<div class="button square-button tile-area-scheme-lightOlive" data-scheme="lightOlive"></div>
					<div class="button square-button tile-area-scheme-lightOrange" data-scheme="lightOrange"></div>
					<div class="button square-button tile-area-scheme-lightPink" data-scheme="lightPink"></div>
					<div class="button square-button tile-area-scheme-grayed" data-scheme="grayed"></div>
				</div>
			</div>

			<div class="tile-area tile-area-scheme-dark fg-white" style="height:100%;max-height:100% !important;">
				<h1 class="tile-area-title">Start</h1>
				<div class="tile-area-controls">
					<button class="image-button icon-right bg-transparent fg-white bg-grayDark bg-hover-dark no-border">
						<span class="sub-header no-margin text-light" id="menu-name"></span>
						<span class="icon mif-user"></span>
					</button>
					<button class="square-button bg-transparent fg-white bg-grayDark bg-hover-dark no-border" onclick="showCharms('#charmSearch')">
						<span class="mif-search"></span>
					</button>
					<button class="square-button bg-transparent fg-white bg-grayDark bg-hover-dark no-border" onclick="showCharms('#charmSettings')">
						<span class="mif-cog"></span>
					</button>
					<button id="menu-home" class="square-button bg-transparent fg-white bg-grayDark bg-hover-dark no-border">
						<span class="mif-windows"></span>
					</button>
					<button id="logout" class="square-button bg-transparent fg-white bg-grayDark bg-hover-dark no-border">
						<span class="mif-switch"></span>
					</button>
				</div>

				<div class="tile-group double">
					<span class="tile-group-title">General</span>

					<div class="tile-container">

						<a href="http://calendar.google.com" class="tile bg-indigo fg-white" data-role="tile">
							<div class="tile-content iconic">
								<span class="icon mif-calendar"></span>
							</div>
							<span class="tile-label">Calendar</span>
						</a>

						<div class="tile bg-darkBlue fg-white" data-role="tile" onclick="document.location.href='http://gmail.com'">
							<div class="tile-content iconic">
								<span class="icon mif-envelop"></span>
							</div>
							<span class="tile-label">Inbox</span>
						</div>

						<div class="tile-large bg-steel fg-white" data-role="tile" data-on-click="document.location.href='http://forecast.io'">
							<div class="tile-content" id="weather_bg" style="background: top left no-repeat; background-size: cover">
								<div class="padding10">
									<h1 id="weather_icon" style="font-size: 6em;position: absolute; top: 10px; right: 10px;"></h1>
									<h1 id="city_temp"></h1>
									<h2 id="city_name" class="text-light"></h2>
									<h4 id="city_weather"></h4>
									<p id="city_weather_daily"></p>

									<p class="no-margin text-shadow">Pressure: <span class="text-bold" id="pressure"></span> mm</p>
									<p class="no-margin text-shadow">Ozone: <span class="text-bold" id="ozone"></span></p>
									<p class="no-margin text-shadow">Wind bearing: <span class="text-bold" id="wind_bearing"></span></p>
									<p class="no-margin text-shadow">Wind speed: <span class="text-bold" id="wind_speed">0</span> m/s</p>
								</div>
							</div>
							<span class="tile-label">Weather</span>
						</div>
					</div>
				</div>

				<div class="tile-group double">
					<span class="tile-group-title">Images</span>
					<div class="tile-container">
						<div class="tile-wide" data-role="tile" data-effect="slideLeft">
							<div class="tile-content">
								<a href="http://google.com/search?q=bear" class="live-slide"><img src="http://metroui.org.ua/images/1.jpg" data-role="fitImage" data-format="fill"></a>
								<a href="http://google.com/search?q=cat" class="live-slide"><img src="http://metroui.org.ua/images/2.jpg" data-role="fitImage" data-format="fill"></a>
								<a href="http://google.com/search?q=dog" class="live-slide"><img src="http://metroui.org.ua/images/3.jpg" data-role="fitImage" data-format="fill"></a>
								<a href="http://google.com/search?q=eagle" class="live-slide"><img src="http://metroui.org.ua/images/4.jpg" data-role="fitImage" data-format="fill"></a>
								<a href="http://google.com/search?q=fox" class="live-slide"><img src="http://metroui.org.ua/images/5.jpg" data-role="fitImage" data-format="fill"></a>
							</div>
							<div class="tile-label">Gallery</div>
						</div>
						<div class="tile" data-role="tile" data-role="tile" data-effect="slideUpDown">
							<div class="tile-content">
								<div class="live-slide"><img src="http://metroui.org.ua/images/me.jpg" data-role="fitImage" data-format="fill"></div>
								<div class="live-slide"><img src="http://metroui.org.ua/images/spface.jpg" data-role="fitImage" data-format="fill"></div>
							</div>
							<div class="tile-label">Photos</div>
						</div>
						<div class="tile-small bg-amber fg-white" data-role="tile">
							<div class="tile-content iconic">
								<span class="icon mif-video-camera"></span>
							</div>
						</div>
						<div class="tile-small bg-green fg-white" data-role="tile">
							<div class="tile-content iconic">
								<span class="icon mif-gamepad"></span>
							</div>
						</div>
						<div class="tile-small bg-pink fg-white" data-role="tile">
							<div class="tile-content iconic">
								<span class="icon mif-headphones"></span>
							</div>
						</div>
						<div class="tile-small bg-yellow fg-white" data-role="tile">
							<div class="tile-content iconic">
								<span class="icon mif-lock"></span>
							</div>
						</div>

						<div class="tile-wide bg-orange fg-white" data-role="tile">
							<div class="tile-content image-set">
								<img src="http://metroui.org.ua/images/jeki_chan.jpg">
								<img src="http://metroui.org.ua/images/shvarcenegger.jpg">
								<img src="http://metroui.org.ua/images/vin_d.jpg">
								<img src="http://metroui.org.ua/images/jolie.jpg">
								<img src="http://metroui.org.ua/images/jek_vorobey.jpg">
							</div>
						</div>

					</div>
				</div>

				<div class="tile-group one">
					<span class="tile-group-title">Office</span>

					<div class="tile-small bg-blue" data-role="tile">
						<div class="tile-content iconic">
							<img src="http://metroui.org.ua/images/outlook.png" class="icon">
						</div>
					</div>
					<div class="tile-small bg-darkBlue" data-role="tile">
						<div class="tile-content iconic">
							<img src="http://metroui.org.ua/images/word.png" class="icon">
						</div>
					</div>
					<div class="tile-small bg-green" data-role="tile">
						<div class="tile-content iconic">
							<img src="http://metroui.org.ua/images/excel.png" class="icon">
						</div>
					</div>
					<div class="tile-small bg-red" data-role="tile">
						<div class="tile-content iconic">
							<img src="http://metroui.org.ua/images/access.png" class="icon">
						</div>
					</div>
					<div class="tile-small bg-orange" data-role="tile">
						<div class="tile-content iconic">
							<img src="http://metroui.org.ua/images/powerpoint.png" class="icon">
						</div>
					</div>
				</div>

				<div class="tile-group double">
					<span class="tile-group-title">Games</span>
					<div class="tile-container">
						<div class="tile" data-role="tile">
							<div class="tile-content">
								<img src="http://metroui.org.ua/images/grid2.jpg" data-role="fitImage" data-format="square">
							</div>
						</div>
						<div class="tile-small" data-role="tile">
							<div class="tile-content">
								<img src="http://metroui.org.ua/images/Battlefield_4_Icon.png" data-role="fitImage" data-format="square">
							</div>
						</div>
						<div class="tile-small" data-role="tile">
							<div class="tile-content">
								<img src="http://metroui.org.ua/images/Crysis-2-icon.png" data-role="fitImage" data-format="square" data-frame-color="bg-steel">
							</div>
						</div>
						<div class="tile-small" data-role="tile">
							<div class="tile-content">
								<img src="http://metroui.org.ua/images/WorldofTanks.png" data-role="fitImage" data-format="square" data-frame-color="bg-dark">
							</div>
						</div>
						<div class="tile-small" data-role="tile">
							<div class="tile-content">
								<img src="http://metroui.org.ua/images/halo.jpg" data-role="fitImage" data-format="square">
							</div>
						</div>
						<div class="tile-wide bg-green fg-white" data-role="tile">
							<div class="tile-content iconic">
								<img src="http://metroui.org.ua/images/x-box.png" class="icon">
							</div>
							<div class="tile-label">X-Box Live</div>
						</div>
					</div>
				</div>

				<div class="tile-group double">
					<span class="tile-group-title">Other</span>
					<div class="tile-container">
						<div class="tile bg-teal fg-white" data-role="tile">
							<div class="tile-content iconic">
								<span class="icon mif-pencil"></span>
							</div>
							<span class="tile-label">Editor</span>
						</div>
						<div class="tile bg-darkGreen fg-white" data-role="tile">
							<div class="tile-content iconic">
								<span class="icon mif-shopping-basket"></span>
							</div>
							<span class="tile-label">Store</span>
						</div>
						<div class="tile bg-cyan fg-white" data-role="tile">
							<div class="tile-content iconic">
								<span class="icon mif-skype"></span>
							</div>
							<div class="tile-label">Skype</div>
						</div>
						<div class="tile bg-darkBlue fg-white" data-role="tile">
							<div class="tile-content iconic">
								<span class="icon mif-cloud"></span>
							</div>
							<span class="tile-label">OneDrive</span>
						</div>
					</div>
				</div>
			</div>
		</div>

		<div data-role="charm" data-position="right" id="right-charm">
			<div style="padding-top:1.5%">
				<b>CENTRE DE NOTIFICATIONS</b>
				<p style="padding-top:5%;font-weight:lighter;">Aucune nouvelle notification</p>
			</div>
			<div id="charm-button" style="position:absolute;bottom:5px;left:5px;right:5px;line-height:65px">
				<p>Reduire</p>
				<button>test</button>
				<button>test</button>
				<button>test</button>
				<button>test</button>
				<button>test</button>
				<button>test</button>
				<button>test</button>
				<button>test</button>
				<button>test</button>
				<button>test</button>
				<button>test</button>
				<button>test</button>
				<button>test</button>
				<button>test</button>
			</div>
		</div>

		<div id="taskbar">
			<div id="launcher-icon" style="width:3%;position:absolute;text-align:center;padding-top:.5%">
				<span class="mif-windows fg-white"></span>
			</div>
			<div id="cortana" style="width:21.56%;position:absolute;left:48px;padding-top:.5%">
				<p style="position:absolute;font-size:15px;line-height:0;left:10%">Posez-moi une question.</p>
			</div>
			<button class="button" style="position:absolute;right:5px" onclick="toggleMetroCharm('#right-charm')">Right side</button>
		</div>

		<table id="launcher-menu" style="bottom:40px">
			<tr>
				<!--<td id="launcher-apps">
					<span><i class="fa fa-file-text-o"></i> Notepad</span>
					<span><i class="fa fa-globe"></i> Browser</span>
				</td>!-->
				<td id="launcher-apps" class="listview set-border padding10" data-role="listview" data-on-list-click="launchApplication(list.find('.list-title').text());"></td>
				<td class="listview">
					<span style="position:absolute;top:5px;left:5px;" class="mif-menu fg-white"></span>
					<span style="position:absolute;bottom:80px;left:5px;" class="mif-file-download fg-white"></span>
					<span style="position:absolute;bottom:5px;left:5px;" class="mif-switch fg-white"></span>
				</td>
				<td id="launcher-profile" class="listview set-border padding10" data-role="listview" data-on-list-click="launchApplication('Explorer', {open: '/' + list.find('.list-title').text().toLocaleLowerCase()});">
					<div class="list-group">
						<div class="list-group-content">
							<div class="list">
								<img src="images/folder-documents.png" class="list-icon">
								<span class="list-title">Documents</span>
							</div>
							<div class="list">
								<img src="images/folder-downloads.png" class="list-icon">
								<span class="list-title">Downloads</span>
							</div>
							<div class="list">
								<img src="images/folder-images.png" class="list-icon">
								<span class="list-title">Images</span>
							</div>
							<div class="list">
								<img src="images/folder-music.png" class="list-icon">
								<span class="list-title">Music</span>
							</div>
							<div class="list">
								<img src="images/folder-videos.png" class="list-icon">
								<span class="list-title">Videos</span>
							</div>
						</div>
					</div>
				</td>
			</tr>
		</table>

		<div id="windows"></div>

		<!-- templates !-->
		<div id="window-template" style="display:none;">
			<div class="window" style="display: inline-block; position: absolute; width: auto;">
				<div class="window-caption">
					<span class="window-caption-icon">
						<span class="mif-file-empty"></span>
					</span>
					<span class="window-caption-title">{{TITLE}}</span>
					<span class="btn-min"></span>
					<span class="btn-max"></span>
					<span class="btn-close"></span>
				</div>
				<div class="window-content">{{CONTENT}}</div>
			</div>
		</div>
		<div id="login">
			<div class="login-form padding20 block-shadow" style="position:absolute;display:inline-block;background-color:white;z-index:2;top:20%;left:40%;">
				<h1 class="text-light">Login to account</h1>
				<hr class="thin"/><br />
				<div class="input-control text full-size" data-role="input">
					<label for="user_login">User name :</label>
					<input type="text" data="username" />
					<button class="button helper-button clear"><span class="mif-cross"></span></button>
				</div>
				<br />
				<br />
				<div class="input-control password full-size" data-role="input">
					<label for="user_password">User password :</label>
					<input type="password" data="password">
					<button class="button helper-button reveal"><span class="mif-looks"></span></button>
				</div>
				<label class="input-control checkbox">
					<input type="checkbox" id="login-encrypt" checked />
					<span class="check"></span>
					<span class="caption">Encrypt requests</span>
				</label>
				<br />
				<br />
				<div class="form-actions">
					<button type="submit" class="button primary">Login</button>
					<button type="button" class="button link" role="cancel">Cancel</button>
				</div>
			</div>
			<div data-role="dialog" data-hide="2000" class="padding20" data-close-button="true" data-type="alert">
			   <h1>All fields are required</h1>
			   <p>Complete all fields to log in.</p>
		   </div>
		   <div data-role="dialog" class="padding20" data-close-button="true" data-type="alert">
			  <h1>Login failed</h1>
			  <p></p>
		  </div>
		</div>
		<div id="login-waiting" class="bg-dark">
			<div>
				<div data-role="preloader" data-type="ring" style="margin: auto" class="mif-2x"></div>
			</div>
		</div>
		<div id="__prompt" data-role="dialog" class="padding20" data-type="info">
			<h1></h1><p></p>
		</div>
		<div id="__confirm" data-role="dialog" class="padding20" data-type="info">
			<h1></h1><p></p>
		</div>
		<div id="__fatal" data-role="dialog" class="padding20" data-close-button="true" data-type="alert">
		   <h1></h1><p></p>
		</div>
		<div id="__dialog" data-role="dialog" class="padding20" data-type="info">
		   <h1></h1><p></p>
		</div>
		<div id="__context"></div>

		<script type="text/javascript" src="js/jquery-2.1.4.js"></script>
		<script type="text/javascript" src="https://code.jquery.com/ui/1.11.4/jquery-ui.min.js"></script>
		<script type="text/javascript" src="https://swisnl.github.io/jQuery-contextMenu/dist/jquery.contextMenu.js"></script>
		<script type="text/javascript" src="js/metro.min.js"></script>
		<script type="text/javascript" src="http://metroui.org.ua/js/metro.js"></script>
		<script type="text/javascript" src="js/extend-prototypes.js"></script>
		<script type="text/javascript" src="js/pidCrypt/pidcrypt.js"></script>
		<script type="text/javascript" src="js/pidCrypt/pidcrypt_util.js"></script>
		<script type="text/javascript" src="js/pidCrypt/asn1.js"></script>
		<script type="text/javascript" src="js/pidCrypt/jsbn.js"></script>
		<script type="text/javascript" src="js/pidCrypt/rng.js"></script>
		<script type="text/javascript" src="js/pidCrypt/prng4.js"></script>
		<script type="text/javascript" src="js/pidCrypt/rsa.js"></script>
		<script type="text/javascript" src="js/crypto/aes.js"></script>
		<script type="text/javascript" src="js/crypto/aes-ctr.js"></script>
		<script type="text/javascript">
			$(function(){
				$.contextMenu({
					selector: '#desktop', 
					callback: function(key, options) {
						var m = "clicked: " + key;
						window.console && console.log(m) || alert(m); 
					},
					items: {
						"edit": {name: "Edit", icon: "edit"},
						"cut": {name: "Cut", icon: "cut"},
						copy: {name: "Copy", icon: "copy"},
						"paste": {name: "Paste", icon: "paste"},
						"delete": {name: "Delete", icon: "delete"},
						"sep1": "---------",
						"quit": {name: "Quit", icon: function(){
							return 'context-menu-icon context-menu-icon-quit';
						}}
					}
				});

				$('#desktop').on('click', function(e){
					console.log('clicked', this);
				})
			});
			$(function(){
				$.contextMenu({
					selector:"#taskbar", 
					callback:function(key,options){
						var m = "clicked: " + key;
						window.console && console.log(m) || alert(m); 
					},
					items:{
						"Barres d'outils":{
							"name":"Barres d'outils",
							"items":{
								"Adresse":{"name":"Adresse"},
								"Liens":{"name":"Liens"},
								"Bureau":{"name":"Bureau"},
								"sep1":"---------",
								"Nouvelle barre d'outils...":{"name":"Nouvelle barre d'outils..."}
							}
						},
						"sep1":"---------",
						"Cortana":{
							"name":"Cortana",
							"items":{
								"Masqué":{"name":"Masqué"},
								"Afficher l'icône Cortana":{"name":"Afficher l'icône Cortana"},
								"Afficher la zone de recherche":{"name":"Afficher la zone de recherche"}
							}
						},
						"Afficher le bouton Applications actives":{"name":"Afficher le bouton Applications actives"},
						"Afficher le bouton Espace de travail Windows lnk":{"name":"Afficher le bouton Espace de travail Windows lnk"},
						"Bouton Afficher le clavier tactile":{"name":"Bouton Afficher le clavier tactile"},
						"sep1":"---------",
						"Cascade":{"name":"Cascade"},
						"Afficher les fenêtres empilées":{"name":"Afficher les fenêtres empilées"},
						"Afficher les côte à côte":{"name":"Afficher les côte à côte"},
						"Afficher le Bureau":{"name":"Afficher le Bureau"},
						"sep1":"---------",
						"Gestionnaire des tâches":{"name":"Gestionnaire des tâches"},
						"sep1":"---------",
						"Verrouiller toutes les barres des tâches":{"name":"Verrouiller toutes les barres des tâches"},
						"Paramètres":{"name":"Paramètres",icon:function(){
							return "mif-cog";
						}},
						"quit":{name:"Quit",icon:function(){
							return 'context-menu-icon context-menu-icon-quit';
						}}
					}
				});

				$('#taskbar').on('click', function(e){
					console.log('clicked', this);
				})
			});
		</script>
		<script type="text/javascript">
			var package = {
				name: 'System',
				version: '0.1',
				developpers: ['Clément Nerma'],
				license: 'CC-BY-NC-ND-4.0',
				permissions: {
					files: ['*'],
					directories: ['*'],
					user: ['*'],
					process: ['*']
				},
				access: ['/']
			};

			Object.fullFreeze(package);
		</script>
		<style>
		.tile-area-controls {
			position: fixed;
			right: 40px;
			top: 40px;
		}

		.tile-group {
			left: 100px;
		}

		.tile, .tile-small, .tile-sqaure, .tile-wide, .tile-large, .tile-big, .tile-super {
			opacity: 0;
			-webkit-transform: scale(.8);
			transform: scale(.8);
		}

		#charmSettings .button {
			margin: 5px;
		}

		.schemeButtons {
			/*width: 300px;*/
		}

		@media screen and (max-width: 640px) {
			.tile-area {
				overflow-y: scroll;
			}
			.tile-area-controls {
				display: none;
			}
		}

		@media screen and (max-width: 320px) {
			.tile-area {
				overflow-y: scroll;
			}

			.tile-area-controls {
				display: none;
			}

		}
	</style>
		<script>
			(function($) {
				$.StartScreen = function(){
					var plugin = this;
					var width = (window.innerWidth > 0) ? window.innerWidth : screen.width;

					plugin.init = function(){
						setTilesAreaSize();
						if (width > 640) addMouseWheel();
					};

					var setTilesAreaSize = function(){
						var groups = $(".tile-group");
						var tileAreaWidth = 80;
						$.each(groups, function(i, t){
							if (width <= 640) {
								tileAreaWidth = width;
							} else {
								tileAreaWidth += $(t).outerWidth() + 80;
							}
						});
						$(".tile-area").css({
							width: tileAreaWidth
						});
					};

					var addMouseWheel = function (){
						$("#menu").mousewheel(function(event, delta, deltaX, deltaY){
							var page = $(document);
							var scroll_value = delta * 50;
							page.scrollLeft(page.scrollLeft() - scroll_value);
							return false;
						});
					};

					plugin.init();
				}
			})(jQuery);

			$(function(){
				$.StartScreen();

				var tiles = $(".tile, .tile-small, .tile-sqaure, .tile-wide, .tile-large, .tile-big, .tile-super");

				$.each(tiles, function(){
					var tile = $(this);
					setTimeout(function(){
						tile.css({
							opacity: 1,
							"-webkit-transform": "scale(1)",
							"transform": "scale(1)",
							"-webkit-transition": ".3s",
							"transition": ".3s"
						});
					}, Math.floor(Math.random()*500));
				});

				$(".tile-group").animate({
					left: 0
				});
			});

			function showCharms(id){
				var  charm = $(id).data("charm");
				if (charm.element.data("opened") === true) {
					charm.close();
				} else {
					charm.open();
				}
			}

			function setSearchPlace(el){
				var a = $(el);
				var text = a.text();
				var toggle = a.parents('label').children('.dropdown-toggle');

				toggle.text(text);
			}

			$(function(){
				var current_tile_area_scheme = localStorage.getItem('tile-area-scheme') || "tile-area-scheme-dark";
				$(".tile-area").removeClass (function (index, css) {
					return (css.match (/(^|\s)tile-area-scheme-\S+/g) || []).join(' ');
				}).addClass(current_tile_area_scheme);

				$(".schemeButtons .button").hover(
						function(){
							var b = $(this);
							var scheme = "tile-area-scheme-" +  b.data('scheme');
							$(".tile-area").removeClass (function (index, css) {
								return (css.match (/(^|\s)tile-area-scheme-\S+/g) || []).join(' ');
							}).addClass(scheme);
						},
						function(){
							$(".tile-area").removeClass (function (index, css) {
								return (css.match (/(^|\s)tile-area-scheme-\S+/g) || []).join(' ');
							}).addClass(current_tile_area_scheme);
						}
				);

				$(".schemeButtons .button").on("click", function(){
					var b = $(this);
					var scheme = "tile-area-scheme-" +  b.data('scheme');

					$(".tile-area").removeClass (function (index, css) {
						return (css.match (/(^|\s)tile-area-scheme-\S+/g) || []).join(' ');
					}).addClass(scheme);

					current_tile_area_scheme = scheme;
					localStorage.setItem('tile-area-scheme', scheme);

					showSettings();
				});
			});

			var weather_icons = {
				'clear-day': 'mif-sun',
				'clear-night': 'mif-moon2',
				'rain': 'mif-rainy',
				'snow': 'mif-snowy3',
				'sleet': 'mif-weather4',
				'wind': 'mif-wind',
				'fog': 'mif-cloudy2',
				'cloudy': 'mif-cloudy',
				'partly-cloudy-day': 'mif-cloudy3',
				'partly-cloudy-night': 'mif-cloud5'
			};

			var api_key = 'AIzaSyDPfgE0qhVmCcy-FNRLBjO27NbVrFM2abg';

			$(function(){
				if (navigator.geolocation) {
					navigator.geolocation.getCurrentPosition(function(position){
						var lat = position.coords.latitude, lon = position.coords.longitude;
						var pos = lat+','+lon;
						var latlng = new google.maps.LatLng(lat, lon);
						var geocoder = new google.maps.Geocoder();
						$.ajax({
							url: '//api.forecast.io/forecast/219588ba41dedc2f1019684e8ac393ad/'+pos+'?units=si',
							dataType: 'jsonp',
							success: function(data){
								//do whatever you want with the data here
								geocoder.geocode({latLng: latlng}, function(result, status){
									console.log(result[3]);
									$("#city_name").html(result[3].formatted_address);
								});
								var current = data.currently;
								//$('#city_name').html(response.city+", "+response.country);
								$("#city_temp").html(Math.round(current.temperature)+" &deg;C");
								$("#city_weather").html(current.summary);
								$("#city_weather_daily").html(data.daily.summary);
								$("#weather_icon").addClass(weather_icons[current.icon]);
								$("#pressure").html(current.pressure);
								$("#ozone").html(current.ozone);
								$("#wind_bearing").html(current.windBearing);
								$("#wind_speed").html(current.windSpeed);
								$("#weather_bg").css({
									'background-image': 'url(http://metroui.org.ua/images/'+current.icon+'.jpg'+')'
								});
							}
						});
					});
				}
			});
		</script>
		<script type="text/javascript" src="js/startup.js"></script>
		<script type="text/javascript" src="js/system.js"></script>
	</body>
</html>